Bug 1676865 - building grub2 provisioning template for ppc64le system have "linuxefi" and "initrdefi" instead of "linux" and "initrd"
Summary: building grub2 provisioning template for ppc64le system have "linuxefi" and "...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Provisioning Templates
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.6.0
Assignee: Lukas Zapletal
QA Contact: Roman Plevka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-13 12:38 UTC by Jan Hutař
Modified: 2019-10-22 19:47 UTC (History)
3 users (show)

Fixed In Version: foreman-1.22.0-0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 19:47:10 UTC
Target Upstream Version:


Attachments (Terms of Use)
pxe loader options (11.77 KB, image/png)
2019-09-10 11:02 UTC, Roman Plevka
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 26051 'Normal' 'Closed' 'Add Grub2 PC and ELF PXE loaders' 2019-11-18 18:28:39 UTC

Description Jan Hutař 2019-02-13 12:38:27 UTC
Description of problem:
building grub2 provisioning template for ppc64le system have "linuxefi" and "initrdefi" instead of "linux" and "initrd"


Version-Release number of selected component (if applicable):


How reproducible:
always


Steps to Reproduce:
1. Sync and configure RHEL8 for ppc64le and create a ppc64le host
2. [root@satellite ~]# cat /var/lib/tftpboot/grub2/grub.cfg-01-52-54-00-03-6c-3a
# This file was deployed via 'Kickstart default PXEGrub2' template


set default=0
set timeout=10

menuentry 'Kickstart default PXEGrub2' {
  linuxefi boot/jhutar-rhel8-8-0-ppc64le-baseos-HTHEmef4Z_-vmlinuz ks=http://satellite.nodhcp.local:8000/unattended/provision?token=0c66d7a2-9669-436e-bf78-566aa31eaed6  network ksdevice=bootif ks.device=bootif BOOTIF=00-52-54-00-03-6c-3a kssendmac ks.sendmac inst.ks.sendmac BOOTIF=01-$net_default_mac
  initrdefi boot/jhutar-rhel8-8-0-ppc64le-baseos-HTHEmef4Z_-initrd.img
}


Actual results:
There is "linuxefi" and "initrdefi" instead of "linux" and "initrd"


Expected results:
There should be "linux" and "initrd"

Comment 1 Bryan Kearney 2019-03-05 21:05:41 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/26051 has been resolved.

Comment 4 Roman Plevka 2019-09-10 11:02:43 UTC
Created attachment 1613547 [details]
pxe loader options

Comment 5 Roman Plevka 2019-09-10 14:58:29 UTC
VERIFIED
on sat6.6.0-19

linuxefi and initrdefi are only generated for UEFI loaders.
RHEL<7 || non-uefi loaders properly generate "linux" and "initrd" lines.

Comment 6 Bryan Kearney 2019-10-22 19:47:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.